=== debian/changelog ===
sl-modem (2.9.11~20100303-2) unstable; urgency=low

  * debian/control:
    + Really remove quilt from sl-modem-source's Depends
    + Add execstack to Build-Deps
  * debian/rules: Mark slmodemd as not requiring executable stack
    (LP: #537650)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 16 Mar 2010 22:44:51 +0200

sl-modem (2.9.11~20100303-1) unstable; urgency=low

  * New upstream release.
    + Fixes NO CARRIER issue with linux kernel >= 2.6.31
  * Dropped 2.6.31.diff patch, as it got applied upstream.
  * Refreshed debian/sl-modem-source.lintian-overrides
  * debian/control: Added DM-Upload-Allowed field.
  * Only include modem/modem_defs.h in sl-modem-source
  * debian/rules: add -s switch to dh to correctly build on amd64 archs.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 14 Mar 2010 13:03:39 +0200

sl-modem (2.9.11~20090222-3) unstable; urgency=low

  [ Rolf Leggewie ]
  * debian/control:
    - add myself to Uploaders
    - update description for sl-modem-daemon package. (LP: #109620)
    - request the package to be autobuilt (adjust debian/copyright accordingly)
    - drop kernel-package from Recommends, we use dkms
    - move linux-headers from Recommends to Depends and make more robust
    - stop to provide sl-modem-modules-new which has been unused for years now
  * debian/patches: add autoload.diff patch from Ubuntu
    (Ubuntu should be able to go back to sync mode now)

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/control:
    - sl-modem-source conflicts with sl-modem-daemon version 2.9.11~20080817
      and earlier (LP: #520890)
    - Bump Standards-Version to 3.8.4
  * debian/sl-modem-daemon.init: Fix error message when slamr is not found
    (LP: #42991)
  * debian/sl-modem-source.postinst: use DKMS-provided logic instead of
    maintaining our own (LP: #497149)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 14 Feb 2010 21:27:04 +0200

sl-modem (2.9.11~20090222-2) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * Removed debian/sl-modem-daemon.dirs
  * Added debian/sl-modem-daemon.preinst to remove obsolete
    sl-modem-daemon.modutils conf file. (from Ubuntu although for a different
    purpose)
  * Added debian/sl-modem-daemon.lintian-overrides
  * Install sl-modem.conf using dh_installmodules
  * debian/dkms.conf.in: Use 'cd' instead of popd & pushd
  * debian/control:
    + s/Alsa/ALSA in extended description.
    + Bumped Standards-Version to 3.8.3
  * Added 2.6.31.diff patch to fix FTBFS with kernels >= 2.6.31
    (Closes: #563823)
  * debian/sl-modem-daemon.init:
    + Added $remote_fs to Required-Start & Required-Stop
    + Added sl-modem-daemon to Provides
  * debian/NEWS: Use regular paragraphs rather than asterisks.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 Jan 2010 20:18:53 +0200

sl-modem (2.9.11~20090222-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patch: 01_Makefile.diff
  * Removed patches that were merged upstream: 02_dial_string_size.diff,
    03_Makefile_2.6.12.4.diff, 05_st7554_license.diff, README.diff,
    06_slmodem-class-simple-to-class-meins.diff, kernel-ver.diff,
    fortify_source.diff, class_device.diff
  * Remove support for module-assistant
    + debian/rules:
      - Remove binary-modules, kdist_clean & kdist_config targets and the
        variables/includes associated with them (including AGE, k & SUBLEVEL
        variables).
      - Remove lines that create/install /usr/src/sl-modem.tar.bz2 from
        install target.
    + debian/control for sl-modem-source target:
      - Remove module-assistant, debhelper, bzip2, quilt from Depends field.
      - Remove mention of module-assistant from extended description.
      - Added: Provides: sl-modem-modules, sl-modem-modules-new
    + sl-modem-daemon.README.Debian: Remove mention of module-assistant.
    + debian/README.Debian:
      - Removed mention of module-assistant & make-kpkg.
      - Rephrased the paragraph about manual building of modules.
    + Merge sl-modem-modules-_KVERS_.postinst.modules.in into
      sl-modem-source.postinst:
      - Use invoke-rc.d instead of directly running sl-modem-daemon init
        script.
      - Remove sl-modem-modules-_KVERS_.postinst.modules.in
      - Removed code that creates slamr and slusb devices.
      - Renamed daemon-stop function to daemon_stop to remove bashism.
    + Remove sl-modem-source.dirs
  * Removed debian/hotplug
  * debian/rules: simplified rules file
  * Removed debian/control.modules.in
  * Updated Japanese translation (Closes: #518603).
  * Rename sl-modem-daemon.modutils to sl-modem.conf (Closes: #519672).
  * debian/copyright: converted to machine readable format.
  * Merge changes from Ubuntu:
    + debian/patches/autoload.diff: Patch drivers to export the right aliases
      for auto-load on open.
    + Hence remove alias lines from sl-modem.conf.
  * debian/control:
    + Added Vcs-* fields.
    + Bump Standards-Version to 3.8.2, no changes needed
    + Build-Depend on debhelper >= 7.0.50~ to support override targets.
    + Build-Depend on quilt >= 7.0.50~ to support dh --with quilt
  * debian/compat, debian/control: Upgraded to debhelper 7
  * debian/sl-modem.conf: add entries for slusb loading.
  * Added debian/sl-modem-source.lintian-overrides,
    debian/sl-modem-daemon.manpages and debian/NEWS

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 19 Jul 2009 13:51:53 +0300

sl-modem (2.9.11~20080817-4) unstable; urgency=low

  * Added libc6-dev to sl-modem-source's Depends: field.
  * debian/patches/*.diff: add contributor info.
  * debian/sl-modem-daemon.init (change from Ubuntu): Also check for modems
    which are subdevices, and thus only expose themselves in "aplay -l", not
    in /proc/asound/cards. Thanks to Peteris Krisjanis for the patch! (Closes:
    #517055).

