=== debian/control ===
Source: sl-modem
Section: non-free/misc
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Uploaders: Maurizio Avogadro <mavoga@gmail.com>, Rolf Leggewie <foss@rolf.leggewie.biz>
Build-Depends: debhelper (>= 7.0.50~), bzip2, libasound2-dev (>> 1.0.6) [i386], lib32asound2-dev [amd64], libc6-dev-i386 [amd64] | lib32c-dev [amd64], gcc-multilib [amd64], po-debconf, execstack
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://linmodems.technion.ac.il/packages/smartlink/
Vcs-Git: git://git.debian.org/git/collab-maint/sl-modem.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sl-modem.git
XS-Autobuild: yes

Package: sl-modem-source
Architecture: i386
Depends: ${misc:Depends}, libc6-dev,
 linux-headers-686 | linux-headers-amd64 | linux-headers-generic | linux-headers
Recommends: dkms
Description: SmartLink software modem driver - module building source
 This package contains source code for the low-level drivers for the
 software modems produced by Smart Link Ltd. It supports PCI and USB models.
 .
 In addition to this package, you will need the package sl-modem-daemon
 which implements the application part of the driver.
 .
 Module packages can be built for the custom kernel package either by hand or
 using DKMS.

Package: sl-modem-daemon
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf | debconf-2.0, adduser
Provides: slmodem
Conflicts: sl-modem-modules, sl-modem-source (<< 2.9.11~20080817)
Description: SmartLink software modem daemon
 The SmartLink modem daemon is the application part of the
 driver for recent modems produced by Smart Link Ltd.
 .
 This package replaces (along with hardware access drivers) the old
 driver generation (2.7.x) which consisted of kernel modules only.
 .
 It needs a kernel driver to access the hardware. This can be either
 recent ALSA (shipped with a newer kernel (>=2.6.4) with ALSA support
 and snd-intel8x0m module) which is sufficient for basic operation and
 data/Internet connection, or the SmartLink kernel driver which is
 provided by separate packages which you can build using the source from
 the sl-modem-source package.
