=== debian/watch ===
version=3

opts=dversionmangle=s/~/-/ \
  http://linmodems.technion.ac.il/packages/smartlink/slmodem-([\d.-]+)\.tar\.gz
