## sl-modem 2.9.11~20100718

=== debian/changelog ===
sl-modem (2.9.11~20100718-3) unstable; urgency=low

  * Add /usr/sbin:/sbin to PATH before calling execstack (Closes: #608367)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 30 Dec 2010 17:50:05 +0200

sl-modem (2.9.11~20100718-2) unstable; urgency=low

  * debian/sl-modem-daemon.init: Run 'aplay -l' with LC_ALL=C to fix modem
    detection with non-English locales (Closes: #626231) (LP: #626231), patch
    submitted by: Milan Bouchet-Valat <nalimilan@club.fr>
  * debian/control: Bumped Standards-Version to 3.9.1, no changes needed.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 29 Aug 2010 23:59:01 +0200

sl-modem (2.9.11~20100718-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Fixed mangling to get a proper orig tarball
  * Removed 2.6.33.diff patch as it got applied upstream.
  * debian/copyright: Replaced empty lines in license text with ' .'

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 19 Jul 2010 10:24:18 +0300

sl-modem (2.9.11~20100303-5) unstable; urgency=low

  * debian/sl-modem-daemon.bug-*: Added reportbug customization and script
    files.
  * debian/rules: put sequence to run before any option (for
    compatibility with debhelper v8)
  * Update Danish translation (Closes: #586239)
  * debian/source_sl-modem.py: Enhance apport hook
    + Add output of: ls -l /dev/ttySL* /dev/pts/* /dev/slamr* /dev/slusb
    + Interacts with user to specify the problem.
    + Check for ALSA mode if problem is with fax.
    + Ask to test with WvDial if problem is with dialup, also attach wvdial
      conf file (if it exists).
  * debian/control:
    + Bumped Standards-Version to 3.9.0
    + sl-modem-source (<< 2.9.11~20080817) moved from Conflicts to Breaks

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 10 Jul 2010 14:22:38 +0300

sl-modem (2.9.11~20100303-4) unstable; urgency=low

  * Updated to ungrab-winmodem 20090716 from upstream. Credits to
    Harald Jenny <harald@a-little-linux-box.at> for the heads up.
  * Added patch 2.6.33.diff, to use path of utsrelease.h for linux
    kernels >= 2.6.33 Credits to Harald Jenny
    <harald@a-little-linux-box.at> for the heads up
  * debian/source_sl-modem.py, debian/sl-modem-daemon.install: Added an apport
    hook.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 15 Jun 2010 10:28:35 +0300

sl-modem (2.9.11~20100303-3) unstable; urgency=low

  * debian/control, debian/copyright: Updated my email address
  * Update Spanish translations (Closes: #577050)
  * sl-modem-daemon.postinst: Remove /etc/modprobe.d/sl-modem-daemon.modutils
    on upgrade/install (Closes: #579825).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 08 May 2010 19:26:20 +0300
