## sl-modem 2.9.11~20110321

=== Makefile ===
--- 
+++ 
@@ -18,24 +18,32 @@
 # tools
 INSTALL:=install
 
-all: modem drivers
+all: modem
 
 modem:
 	$(MAKE) -C $@ all
 
-install: all install-drivers
+install: all
+
+ifndef SUPPORT_ALSA
+all: drivers
+install: install-drivers
+uninstall: uninstall-drivers
+endif
+
+install:
 	$(INSTALL) -D -m 755 modem/slmodemd ${DESTDIR}/usr/sbin/slmodemd
 	$(RM) -rf ${DESTDIR}/var/lib/slmodem
 	$(INSTALL) -d -D -m 755 ${DESTDIR}/var/lib/slmodem
 
-uninstall: uninstall-drivers
+uninstall:uninstall-drivers
 	$(RM) ${DESTDIR}/usr/sbin/slmodemd
 	$(RM) -rf ${DESTDIR}/var/lib/slmodem
 
 drivers:
 	$(MAKE) -C drivers KERNEL_DIR=$(KERNEL_DIR)
 
-install-drivers:
+install-drivers: drivers
 	$(MAKE) install -C drivers KERNEL_DIR=$(KERNEL_DIR)
 uninstall-drivers:
 	$(MAKE) uninstall -C drivers KERNEL_DIR=$(KERNEL_DIR)
