=== modem/Makefile ===
--- 
+++ 
@@ -13,11 +13,18 @@
 #
 ###########################################################################
 
+ARCH64:=$(shell uname -m | sed -e '/amd64/s//x86_64/' | grep -c x86_64)
+
+ifeq ($(ARCH64), 0)
 CC:= gcc
+else
+# SUPPORT_ALSA:=1
+CC:= gcc -m32
+endif
+
 RM:= rm -f
 
-CFLAGS:= -Wall -g -O -I. -DCONFIG_DEBUG_MODEM
-
+CFLAGS+= -Wall -g -O -I. -DCONFIG_DEBUG_MODEM
 
 modem-objs:= \
 	modem.o modem_datafile.o modem_at.o modem_timer.o \
@@ -25,20 +32,28 @@
 	modem_param.o modem_debug.o homolog_data.o
 dp-objs:= dp_sinus.o dp_dummy.o
 sysdep-objs:= sysdep_common.o
+all-objs:= modem_cmdline.o $(modem-objs) $(dp-objs) dsplibs.o $(sysdep-objs) 
 
 all: slmodemd modem_test
 
-slmodemd: modem_main.o modem_cmdline.o $(modem-objs) $(dp-objs) dsplibs.o $(sysdep-objs)
-modem_test: modem_test.o modem_cmdline.o $(modem-objs) $(dp-objs) dsplibs.o $(sysdep-objs)
+slmodemd: modem_main.o $(all-objs)
+modem_test: modem_test.o $(all-objs)
 
-#SUPPORT_ALSA:=1
 ifdef SUPPORT_ALSA
-slmodemd: -lasound
 CFLAGS+= -DSUPPORT_ALSA=1
+ifeq ($(ARCH64), 0)
+LFLAGS+= /usr/lib/libasound.so
+else
+# LFLAGS+= /usr/lib32/libasound.so , replaced by -l commands search for asound
+LFLAGS+= -lasound
+endif
 endif
 
-slmodemd modem_test:
-	$(CC) -o $@ $^
+slmodemd:
+	$(CC) -o slmodemd modem_main.o $(all-objs) $(LFLAGS)
+
+modem_test:
+	$(CC) -o modem_test modem_test.o $(all-objs) $(LFLAGS)
 
 clean:
 	$(RM) slmodemd modem_test modem_main.o modem_cmdline.o modem_test.o $(modem-objs) $(dp-objs) $(sysdep-objs)
