=== debian/changelog ===
sl-modem (2.9.11~20110321-21) unstable; urgency=low

  * Add fix-linux-6.15-ftbfs.diff to fix FTBFS with linux >= 6.15
    (Closes: #1106710)
  * Update copyright years
  * d/control: bump standards version to 4.7.2

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 29 Aug 2025 15:48:01 +0200

sl-modem (2.9.11~20110321-20) unstable; urgency=low

  * Add fix-linux-6.12-ftbfs.patch to fix FTBFS with Linux 6.12
    (Closes: #1089504)
  * Bumped standards version to 4.7.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 11 Dec 2024 15:36:12 +0100

sl-modem (2.9.11~20110321-19) unstable; urgency=low

  [ Andreas Beckmann ]
  * Work around missing .amrlibs.o.cmd on i386 (Closes: #1039626)

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Add fix-linux-6.4-semaphore-definition.patch from Ubuntu

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 10 Jul 2023 22:29:25 +0200

sl-modem (2.9.11~20110321-18) unstable; urgency=low

  * d/copyright: update copyright years
  * d/sl-modem-dkms.dkms: add BUILD_EXCLUSIVE_CONFIG="CONFIG_USB"
    This is in order to skip building the module for kernels without
    CONFIG_USB.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #1039572)
  * Add fix-linux-6.4-ftbfs.diff patch to fix FTBFS with Linux 6.4.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #1039625)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 28 Jun 2023 02:13:47 +0200

sl-modem (2.9.11~20110321-17) unstable; urgency=low

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 2.9.11~20080817-2, 2.9.11~20080817-1,
    2.7.10-1.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Update standards version to 4.6.2
  * d/control:
    + Bump to debhelper 13
    + Switch to dh-sequence-dkms in build deps. (Closes: #1027887)
    + Add Testsuite: autopkgtest-pkg-dkms
      Thanks to Andreas Beckmann <anbe@debian.org>
    + Drop execstack from build deps (Closes: #982685)
    + Add Rules-Requires-Root: no
  * d/rules:
    + Drop --with dkms
      Thanks to Andreas Beckmann <anbe@debian.org>
    + Use DEB_HOST_ARCH in debian/rules instead of the incorrect
      DEB_BUILD_ARCH.
      Thanks to Steve Langasek <steve.langasek@ubuntu.com>
    + Use objcopy instead of execstack to set the no-executable-stack state on
      the daemon's closed-source binary on i386.
      Thanks to Steve Langasek <steve.langasek@ubuntu.com>
    + Make the package cross-buildable.
      Thanks to Steve Langasek <steve.langasek@ubuntu.com>
    * d/sl-modem-dkms.dkms: Fix "dkms: line 80: cd: too many arguments"
      New dkms appends CC= variable to the MAKE[0] command, which this package
      treats like an arbitrary shell command. .
      Thanks to Dimitri John Ledkov <dimitri.ledkov@canonical.com>
  * Add d/sl-modem-dkms.lintian-overrides
  * Add d/s/lintian-overrides for missing sources of dsplibs.o & amrlibs.o

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 16 Jun 2023 03:53:11 +0200

sl-modem (2.9.11~20110321-16) unstable; urgency=medium

  * Add fix-linux-5.0-ftbfs.diff patch from Ubuntu to fix FTBFS with Limux 5.0.
    Thanks to Seth Forshee <seth.forshee@canonical.com> (LP: #1818833)
  * Fix array overrun of st7554_table in st7554_open
    - fixes array bounds checking error of an index into the table.
    Thanks to Colin Ian King <colin.king@canonical.com> (LP: #1832718)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 17 Jun 2019 03:39:06 +0200

sl-modem (2.9.11~20110321-15) unstable; urgency=medium

  * Add fix-glibc-2.28-ftbfs.diff patch to fix FTBFS with glibc 2.28.
    Thanks to Ben Hutchings <ben@decadent.org.uk> (Closes: #918443)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 08 Jan 2019 05:01:59 +0100

sl-modem (2.9.11~20110321-14) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Remove old transitional sl-modem-source target
  * Modify support_linux3.diff patch to support linux >3.
    Thanks to Ben Hutchings <ben@decadent.org.uk> (Closes: #916034)
  * Update standards version to 4.3.0, no changes needed
  * debian/control, debian/changelog: Remove empty lines
  * Bumped compat level to 12

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 02 Jan 2019 05:49:08 +0100

sl-modem (2.9.11~20110321-13) unstable; urgency=medium

  * sl-modem-daemon.{prerm,postinst}: check for invoke-rc.d using which
    instead of checking hard coded path
  * sl-modem-daemon.README.Debian: fix typo
  * debian/control: add lsb-base (>= 3.0-6) to sl-modem-daemon depends.
  * Redirect path checks to /dev/null
  * Update Vcs-* URIs
  * Updated standards version to 4.2.0
  * Switch to secure copyright format URL
  * Update copyright years
  * Bump compat level to 11
  * Switch to secure upstream URL
  * Use DEB_VERSION_UPSTREAM from /usr/share/dpkg/pkg-info.mk instead of
    parsing dpkg-parsechangelog
  * No need for priority field in sl-modem-source, implicitly setting it to
    optional.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 06 Aug 2018 17:09:48 +0200

sl-modem (2.9.11~20110321-12) unstable; urgency=medium

  * debian/control:
    + Fix kernel-headers-* dependencies and demote them to Recommends.
      Thanks to Ben Hutchings <ben@decadent.org.uk> (Closes: #728628)
    + Remove libc6-dev from sl-modem-dkms' dependencies (dkms should be
      enough)
  * debian/copyright: Update copyright years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2015 18:27:36 +0200

sl-modem (2.9.11~20110321-11) unstable; urgency=medium

  * debian/sl-modem-daemon.init: Source /lib/lsb/init-functions in init
    script.

