=== debian/control ===
Source: sl-modem
Section: non-free/misc
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Uploaders: Maurizio Avogadro <mavoga@gmail.com>, Rolf Leggewie <foss@rolf.leggewie.biz>
Build-Depends: debhelper-compat (= 13), bzip2, libasound2-dev (>> 1.0.6), po-debconf, dh-sequence-dkms
Testsuite: autopkgtest-pkg-dkms
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://linmodems.technion.ac.il/packages/smartlink/
Vcs-Git: https://salsa.debian.org/debian/sl-modem.git
Vcs-Browser: https://salsa.debian.org/debian/sl-modem
XS-Autobuild: yes

Package: sl-modem-dkms
Section: non-free/kernel
Architecture: i386 amd64
Depends: ${misc:Depends}
Recommends: linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic
Replaces: sl-modem-source (<< 2.9.11~20110321-7)
Breaks: sl-modem-source (<< 2.9.11~20110321-7)
Description: SmartLink software modem driver - module building source
 This package contains source code for the low-level drivers for the
 software modems produced by Smart Link Ltd. It supports PCI and USB models.
 .
 In addition to this package, you will need the package sl-modem-daemon
 which implements the application part of the driver.
 .
 Module packages can be built for the custom kernel package either by hand or
 using DKMS.

Package: sl-modem-daemon
Architecture: i386
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf | debconf-2.0, adduser, alsa-utils, lsb-base (>= 3.0-6)
Provides: slmodem
Conflicts: sl-modem-modules
Breaks: sl-modem-source (<< 2.9.11~20080817)
Description: SmartLink software modem daemon
 The SmartLink modem daemon is the application part of the
 driver for recent modems produced by Smart Link Ltd.
 .
 This package replaces (along with hardware access drivers) the old
 driver generation (2.7.x) which consisted of kernel modules only.
 .
 It needs a kernel driver to access the hardware. This can be either
 recent ALSA (shipped with a newer kernel (>=2.6.4) with ALSA support
 and snd-intel8x0m module) which is sufficient for basic operation and
 data/Internet connection, or the SmartLink kernel driver which is
 provided by separate packages which you can build using the source from
 the sl-modem-dkms package.
