=== debian/watch ===
version=3

opts="uversionmangle=s/-/~/" \
  https://linmodems.technion.ac.il/packages/smartlink/slmodem-([\d.-]+)\.tar\.gz
